// Skin-specific Javascript code
var hpsAutomator = scOnLoads[scOnLoads.length] = {
	fPathTools: 'des:.tools',
	fTimout: ¤¤?key=delay;¤¤,
	fPlay: false,
	fStrings: [
	/* 00 */ 'Lancer', 'Lancer le défilement automatique',
		/* 02 */ 'Arrêter', 'Arrêter le défilement automatique',
		''],

	/** hpsAutomator.onLoad : Main onLoad function called by the SCENARI framework. */
	onLoad: function () {
		try {
			var vBtnPlay = this.fBtnPlay = scHPS.xAddElt('button', scPaLib.findNode(this.fPathTools), 'btnPlay', this.fPlay)
			vBtnPlay.innerHTML = '<span>' + this.fStrings[0] + '</span>'
			vBtnPlay.title = this.fStrings[1]
			vBtnPlay.onclick = this.sPlay
			var vBtnPause = this.fBtnPause = scHPS.xAddElt('button', scPaLib.findNode(this.fPathTools), 'btnPause', !this.fPlay)
			vBtnPause.innerHTML = '<span>' + this.fStrings[2] + '</span>'
			vBtnPause.title = this.fStrings[3]
			vBtnPause.onclick = this.sPause
			this.fHeartbeat = window.setInterval(function () { hpsAutomator.sHeartbeat() }, this.fTimout)
			scPresMgr.register('onAction', this.sOnAction)
		} catch (e) {	scCoLib.log('ERROR - hpsAutomator.onLoad : ' + e) }
	},
	/** hpsAutomator.sHeartbeat */
	sHeartbeat: function () {
		if (hpsAutomator.fPlay) {
			hpsAutomator.fBtnPlay.style.display = 'none'
			hpsAutomator.fBtnPause.style.display = ''
			if (scPresMgr.hasNext()) scPresMgr.next()
			else scPresMgr.loadSlide(scPresMgr.fFirstLocalIdx, true, false)
		} else {
			hpsAutomator.fBtnPlay.style.display = ''
			hpsAutomator.fBtnPause.style.display = 'none'
		}
	},
	/** hpsAutomator.sOnAction */
	sOnAction: function (pAction) {
		if (pAction === 'showZoom' && hpsAutomator.fPlay) hpsAutomator.sPause()
	},
	/** hpsAutomator.sPlay */
	sPlay: function () {
		hpsAutomator.fPlay = true
		hpsAutomator.fBtnPlay.style.display = 'none'
		hpsAutomator.fBtnPause.style.display = ''
		// hpsAutomator.sHeartbeat();
	},
	/** hpsAutomator.sPause */
	sPause: function () {
		hpsAutomator.fPlay = false
		hpsAutomator.fBtnPlay.style.display = ''
		hpsAutomator.fBtnPause.style.display = 'none'
	},
	loadSortKey: 'Z'
}
